<?php
/**
 * @package     Crosstec Template Tools
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/
class pkg_thekrakenInstallerScript
{
    function preflight(){
        // try downloading and installing gantry 
        
        if(file_exists(JPATH_SITE.'/administrator/components/com_gantry/gantry.php')) return;
        
        JClientHelper::setCredentialsFromRequest('ftp');

        // Download the package at the URL given
        $p_file = JInstallerHelper::downloadPackage('http://crosstec.de/gantry.zip');

        // Was the package downloaded?
        if ($p_file)
        {
                $config   = JFactory::getConfig();
                $tmp_dest = $config->get('tmp_path');

                // Unpack the downloaded package file
                $package = JInstallerHelper::unpack($tmp_dest . '/' . $p_file);

                if ($package){
                    $installer = new JInstaller;
                    // Install the package
                    $installer->install($package['dir']);
                    
                    // Cleanup the install files
                    if (!is_file($package['packagefile']))
                    {
                            $config = JFactory::getConfig();
                            $package['packagefile'] = $config->get('tmp_path') . '/' . $package['packagefile'];
                    }

                    JInstallerHelper::cleanupInstall($package['packagefile'], $package['extractdir']);
                }
        }
    }
    
    function postflight(){
        
        
    }
    
    function install($parent) {
        
    }
    
    function update($parent) {
    }
    
    function uninstall($parent) { 
    }
}
